camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bvahdat <babak.vah...@swissonline.ch>
Subject Re: IncompatibleClassChangeError: Class org.apache.xerces.dom.DeferredElementNSImpl does not implement the requested interface org.w3c.dom.Node / BeanDefinitionParsingException
Date Mon, 05 Dec 2011 16:13:31 GMT
Hi,

Maybe you want to give it a try to rebuild your application under JDK1.6 and
generate your integracja.war from the scratch, as apparently the class
org.apache.xerces.dom.DeferredElementNSImpl has been changed in a
non-backward compatible way.

>From my experience with JBoss, it's also very important not to mess around
with the libraries JBoss makes use of them directly, so remove all those
jars (for example under WEB-INF/lib) that JBoss already brings/expects out
of the box. For example you can't simply put slf4j-log4j12-x.y.z-.jar into
your WAR/EAR and expect the deployment should succeed, as internally JBoss
makes use of slf4j as well for it's own. So rely to the *exact* version of
the libraries your App-Server already provides/expectes and just feed into
your WAR/EAR what it needs as an extra salt, like Apache Camel... 

Babak

--
View this message in context: http://camel.465427.n5.nabble.com/IncompatibleClassChangeError-Class-org-apache-xerces-dom-DeferredElementNSImpl-does-not-implement-thn-tp5048592p5049334.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message